V0 - Update Organizational Units (internalId)
PUT
/
organizations
/
organizationalunits
/
V0 - Update Organizational Units (internalId)
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/organizationalunits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vatType": "USE_CATEGORY",
"id": "649bb6e073a748d7bab91ac86838f696",
"ownerId": null,
"organizationId": "4028814f5feb0ad8015ffd23b3961a1b",
"subUnits": [],
"approvers": {},
"description": null,
"costCenterId": null,
"name": "J10",
"projectId": null
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/organizationalunits/"
payload = {
"vatType": "USE_CATEGORY",
"id": "649bb6e073a748d7bab91ac86838f696",
"ownerId": None,
"organizationId": "4028814f5feb0ad8015ffd23b3961a1b",
"subUnits": [],
"approvers": {},
"description": None,
"costCenterId": None,
"name": "J10",
"projectId": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vatType: 'USE_CATEGORY',
id: '649bb6e073a748d7bab91ac86838f696',
ownerId: null,
organizationId: '4028814f5feb0ad8015ffd23b3961a1b',
subUnits: [],
approvers: {},
description: null,
costCenterId: null,
name: 'J10',
projectId: null
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/organizationalunits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/organizationalunits/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'vatType' => 'USE_CATEGORY',
'id' => '649bb6e073a748d7bab91ac86838f696',
'ownerId' => null,
'organizationId' => '4028814f5feb0ad8015ffd23b3961a1b',
'subUnits' => [
],
'approvers' => [
],
'description' => null,
'costCenterId' => null,
'name' => 'J10',
'projectId' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/organizationalunits/"
payload := strings.NewReader("{\n \"vatType\": \"USE_CATEGORY\",\n \"id\": \"649bb6e073a748d7bab91ac86838f696\",\n \"ownerId\": null,\n \"organizationId\": \"4028814f5feb0ad8015ffd23b3961a1b\",\n \"subUnits\": [],\n \"approvers\": {},\n \"description\": null,\n \"costCenterId\": null,\n \"name\": \"J10\",\n \"projectId\": null\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/organizationalunits/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"vatType\": \"USE_CATEGORY\",\n \"id\": \"649bb6e073a748d7bab91ac86838f696\",\n \"ownerId\": null,\n \"organizationId\": \"4028814f5feb0ad8015ffd23b3961a1b\",\n \"subUnits\": [],\n \"approvers\": {},\n \"description\": null,\n \"costCenterId\": null,\n \"name\": \"J10\",\n \"projectId\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/organizationalunits/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vatType\": \"USE_CATEGORY\",\n \"id\": \"649bb6e073a748d7bab91ac86838f696\",\n \"ownerId\": null,\n \"organizationId\": \"4028814f5feb0ad8015ffd23b3961a1b\",\n \"subUnits\": [],\n \"approvers\": {},\n \"description\": null,\n \"costCenterId\": null,\n \"name\": \"J10\",\n \"projectId\": null\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Last modified on August 31, 2026
⌘I
V0 - Update Organizational Units (internalId)
curl --request PUT \
--url https://stage-expense.findity.com/api/admin/organizations/organizationalunits/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vatType": "USE_CATEGORY",
"id": "649bb6e073a748d7bab91ac86838f696",
"ownerId": null,
"organizationId": "4028814f5feb0ad8015ffd23b3961a1b",
"subUnits": [],
"approvers": {},
"description": null,
"costCenterId": null,
"name": "J10",
"projectId": null
}
'import requests
url = "https://stage-expense.findity.com/api/admin/organizations/organizationalunits/"
payload = {
"vatType": "USE_CATEGORY",
"id": "649bb6e073a748d7bab91ac86838f696",
"ownerId": None,
"organizationId": "4028814f5feb0ad8015ffd23b3961a1b",
"subUnits": [],
"approvers": {},
"description": None,
"costCenterId": None,
"name": "J10",
"projectId": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vatType: 'USE_CATEGORY',
id: '649bb6e073a748d7bab91ac86838f696',
ownerId: null,
organizationId: '4028814f5feb0ad8015ffd23b3961a1b',
subUnits: [],
approvers: {},
description: null,
costCenterId: null,
name: 'J10',
projectId: null
})
};
fetch('https://stage-expense.findity.com/api/admin/organizations/organizationalunits/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://stage-expense.findity.com/api/admin/organizations/organizationalunits/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'vatType' => 'USE_CATEGORY',
'id' => '649bb6e073a748d7bab91ac86838f696',
'ownerId' => null,
'organizationId' => '4028814f5feb0ad8015ffd23b3961a1b',
'subUnits' => [
],
'approvers' => [
],
'description' => null,
'costCenterId' => null,
'name' => 'J10',
'projectId' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://stage-expense.findity.com/api/admin/organizations/organizationalunits/"
payload := strings.NewReader("{\n \"vatType\": \"USE_CATEGORY\",\n \"id\": \"649bb6e073a748d7bab91ac86838f696\",\n \"ownerId\": null,\n \"organizationId\": \"4028814f5feb0ad8015ffd23b3961a1b\",\n \"subUnits\": [],\n \"approvers\": {},\n \"description\": null,\n \"costCenterId\": null,\n \"name\": \"J10\",\n \"projectId\": null\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://stage-expense.findity.com/api/admin/organizations/organizationalunits/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"vatType\": \"USE_CATEGORY\",\n \"id\": \"649bb6e073a748d7bab91ac86838f696\",\n \"ownerId\": null,\n \"organizationId\": \"4028814f5feb0ad8015ffd23b3961a1b\",\n \"subUnits\": [],\n \"approvers\": {},\n \"description\": null,\n \"costCenterId\": null,\n \"name\": \"J10\",\n \"projectId\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://stage-expense.findity.com/api/admin/organizations/organizationalunits/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"vatType\": \"USE_CATEGORY\",\n \"id\": \"649bb6e073a748d7bab91ac86838f696\",\n \"ownerId\": null,\n \"organizationId\": \"4028814f5feb0ad8015ffd23b3961a1b\",\n \"subUnits\": [],\n \"approvers\": {},\n \"description\": null,\n \"costCenterId\": null,\n \"name\": \"J10\",\n \"projectId\": null\n}"
response = http.request(request)
puts response.read_body
